From 47054c250b6466abcc48143a054ca12e5976718d Mon Sep 17 00:00:00 2001
From: Hayato Kuroda <kuroda.hayato@fujitsu.com>
Date: Mon, 14 Apr 2025 20:00:13 +0900
Subject: [PATCH] Doc: clarify the naming rule for injection points

---
 doc/src/sgml/xfunc.sgml | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/xfunc.sgml b/doc/src/sgml/xfunc.sgml
index 8074f66417d..d4f486e28fd 100644
--- a/doc/src/sgml/xfunc.sgml
+++ b/doc/src/sgml/xfunc.sgml
@@ -3836,7 +3836,8 @@ INJECTION_POINT(name);
      within the server code. After adding a new injection point the code needs
      to be compiled in order for that injection point to be available in the
      binary. Add-ins written in C-language can declare injection points in
-     their own code using the same macro.
+     their own code using the same macro.  The name of injection points must be
+     lower characters, and dashes must separate its terms.
     </para>
 
     <para>
-- 
2.43.5

